# $Revision: 1.4.2.2 $, $Date: 2003/04/28 12:51:54 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	SAX-Writer
Summary:	XML::SAX::Writer Perl module - SAX2 XML Writer
Summary(pl):	Modu Perla XML::SAX::Writer - zapisujcy XML z SAX2
Name:		perl-XML-SAX-Writer
Version:	0.44
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%{!?_without_tests:BuildRequires:	perl-Test-Simple >= 0.40}
BuildRequires:	perl-Text-Iconv >= 1.2
BuildRequires:	perl-XML-Filter-BufferText >= 0.01
BuildRequires:	perl-XML-NamespaceSupport >= 0.03
BuildRequires:	perl-XML-SAX
BuildRequires:	perl(XML::SAX::Exception) >= 1.01
BuildRequires:	rpm-perlprov >= 4.0.2-104
Requires:	perl-Text-Iconv >= 1.2
Requires:	perl-XML-Filter-BufferText >= 0.01
Requires:	perl-XML-NamespaceSupport >= 0.03
Requires:	perl(XML::SAX::Exception) >= 1.01
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::SAX::Writer Perl module - SAX2 XML Writer.

%description -l pl
Modu Perla XML::SAX::Writer - zapisujcy XML z SAX2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/XML/SAX/Writer.pm
%{perl_sitelib}/XML/SAX/Writer
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-SAX-Writer.spec,v $
Revision 1.4.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.4.2.1  2003/03/13 00:59:26  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:39:15  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/12 22:21:33  radek
- version 0.44 (naaah, I liked the previous version number...)
STBR (should pass, but untested)

Revision 1.1  2002/08/04 00:56:26  qboosh
- new

